Expand AI logo
DocsAPI ReferenceAPI Reference
Glow Active
Login

API Reference

Getting Started

API ReferenceErrors

Endpoints

FetchFetch JSON ModeStart Batched FetchGet Batched StatusCancel Batched FetchSearchGet SearchGet CatalogGet NetworkSnapshot Highlights
Browse docs

Getting Started

API ReferenceErrors

Endpoints

FetchFetch JSON ModeStart Batched FetchGet Batched StatusCancel Batched FetchSearchGet SearchGet CatalogGet NetworkSnapshot Highlights

Get Search

Return a search your organization ran, with its results. Free: it does not search again.

Authorization

x-expand-api-key<token>

In: header

Path Parameters

Response Body

application/json

application/json

application/json

application/json

application/json

GET
/v1/search/{searchId}
searchId*nonEmptyString

a non empty string

Length1 <= length

application/json

application/json

application/json

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "query": "string",
  "results": [
    {
      "url": "string",
      "title": 




{
  "issues": [
    {
      "_tag": "Pointer",
      "path": [
        "string"
      ],
      "message": "string"
    }
  ],
  "

{
  "reason": "InvalidApiKey",
  "description": "string",
  "_tag": "AuthFailed"
}
{
  "searchId": "string",
  "_tag": "SearchNotFound"
}
{
  "_tag": "PayloadTooLarge"
}
{
  "retryable": true,
  "retryAfterSeconds": 0,
  "_tag": "TooManyRequests"
}
{
  "retryable": true,
  "_tag": "InternalError"
}
{
  "message": "string",
  "requestId": "string",
  "retryable": true,
  "_tag": "ServiceUnavailable"
}
"string"
,
"excerpt": "string",
"score": 0
}
]
}
message
"
:
"string"
,
"_tag": "HttpApiDecodeError"
}